Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class AttachInitiator

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.AttachInitiator

public class AttachInitiator
extends API
implements java.io.Serializable

This class contains the main interfaces that are used to facilitate APPC programming.

Constructor Summary
`AttachInitiator()` Not Implemented.

Method Summary
`java.lang.String` | `getProcess()` Not Implemented.
`java.lang.String` | `getProfile()` Not Implemented.
`boolean` | `getQueue()` Not Implemented.
`SyncLevel` | `getSyncLevel()` Not Implemented.
`java.lang.String` | `getSysid()` Not Implemented.
`Conversation` | `initiate()` Not Implemented.
`Conversation` | `initiate(byte[] pipdata)` Not Implemented.
`void` | `setProcess(java.lang.String process)` Not Implemented.
`void` | `setProfile(java.lang.String profile)` Not Implemented.
`void` | `setQueue(boolean queue)` Not Implemented.
`void` | `setSyncLevel(SyncLevel syncLevel)` Not Implemented.
`void` | `setSysId(java.lang.String sysId)` Not Implemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachInitiator

    public AttachInitiator()

  This method is not implemented in this release.

Method Detail

### getProcess

    public java.lang.String getProcess()

  This method is not implemented in this release.

### getProfile

    public java.lang.String getProfile()

  This method is not implemented in this release.

### getQueue

    public boolean getQueue()

  This method is not implemented in this release.

### getSyncLevel

    public SyncLevel getSyncLevel()

  This method is not implemented in this release.

### getSysid

    public java.lang.String getSysid()

  This method is not implemented in this release.

### initiate

    public Conversation initiate()
                          throws InvalidSystemIdException,
                                 InvalidRequestException,
                                 LengthErrorException,
                                 NotAuthorisedException,
                                 NotAllocatedException,
                                 SystemBusyException

  This method is not implemented in this release.

### initiate

    public Conversation initiate(byte[] pipdata)
                          throws InvalidSystemIdException,
                                 InvalidRequestException,
                                 LengthErrorException,
                                 NotAuthorisedException,
                                 NotAllocatedException,
                                 SystemBusyException

  This method is not implemented in this release.

### setProcess

    public void setProcess(java.lang.String process)

  This method is not implemented in this release.

### setProfile

    public void setProfile(java.lang.String profile)

  This method is not implemented in this release.

### setQueue

    public void setQueue(boolean queue)

  This method is not implemented in this release.

### setSyncLevel

    public void setSyncLevel(SyncLevel syncLevel)

  This method is not implemented in this release.

### setSysId

    public void setSysId(java.lang.String sysId)
                  throws InvalidSystemIdException

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.